Module | Sequel::Plugins::Serialization::InstanceMethods
In: | lib/sequel/plugins/serialization.rb

### Methods

before_save new refresh

### Attributes

deserialized_values | [R] | Hash of deserialized values, used as a cache.

### Public Class methods

new(*args, &block)

Set @deserialized_values to the empty hash

[Source]

         # File lib/sequel/plugins/serialization.rb, line 113
    113:         def initialize(*args, &block)
    114:           @deserialized_values = {}
    115:           super
    116:         end

### Public Instance methods

before_save()

Serialize all deserialized values

[Source]

         # File lib/sequel/plugins/serialization.rb, line 119
    119:         def before_save
    120:           super
    121:           deserialized_values.each do |k,v|
    122:             @values[k] = serialize_value(k, v)
    123:           end
    124:         end

refresh()

Empty the deserialized values when refreshing.

[Source]

         # File lib/sequel/plugins/serialization.rb, line 127
    127:         def refresh
    128:           @deserialized_values = {}
    129:           super
    130:         end

[Validate]